Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

Apache Solr 5.3.x 'LoadAdminUiServlet.java' Clickjacking Weakness

Medium

Synopsis

The remote web server contains a Java application that is affected by a clickjacking weakness in the admin interface.

Description

Versions of Apache Solr 5.3.x are affected by a clickjacking weakness. This flaw exists due to a flaw in 'LoadAdminUiServlet.java' in the admin interface that is due to the program failing to set 'X-Frame-Options' to deny. This may allow a context-dependent attacker to conduct a clickjacking attack. (OSVDB 128202)

Solution

Upgrade to Solr 5.4.0 or later.